Summary: A Motif-based audio mixer for popular sound cards.
Name: xmmix
Version: 1.2
Release: 13
Copyright: Distibutable
Source0: ftp://ftp.x.org/contrib/applications/xmmix-1.2.tar.gz
Source1: ftp://ftp.x.org/contrib/applications/xmmix-1.2.gif
Url: http://sunsite.unc.edu/~cddb/xmmix/
Source2: xmmix.wmconfig
Patch0: xmmix-1.2-Imakefile.patch
Patch1: xmmix-1.2-help.patch
Patch2: xmmix-1.2-appdefaults.patch
Patch3: xmmix-1.2-static.patch
Patch4: xmmix-glibc2.1.patch 
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-root
Requires: openmotif
BuildPrereq: openmotif-devel

%description
Xmmix controls the input and output mixer section of the sound
hardware on many PCs and workstations.  Xmmix adapts to your sound
hardware configuration and displays the appropriate set of controls.
You will need to have either Motif or LessTif installed on your system
in order to install xmmix.

%prep
%setup -q

# apply patch0 to make lesstif link correctly
# apply patch3 to link to osf motif statically
#
# do not apply both simultaneously
#
#%ifnarch i386
%patch0 -p1
#%endif
%patch1 -p1
%patch2 -p1
%patch4 -p1 -b .mike
#%ifarch i386
#%patch3 -p1
#%endif

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT

make install install.man DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmmix
mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmmix.hlp $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmmix/

install -d $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/xmmix.desktop <<EOF
[Desktop Entry]
Name=xmmix
Type=Application
Comment=audio mixe
Exec=xmmix
Terminal=0
EOF

%files
%defattr(-,root,root)
%doc CHANGES COPYING README 
/usr/X11R6/bin/xmmix
/usr/X11R6/man/man1/xmmix.1x*
%config /usr/X11R6/lib/X11/app-defaults/XMmix
/usr/X11R6/lib/X11/xmmix/xmmix.hlp
%config /etc/X11/applnk/Multimedia/xmmix.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- add BuildPrereq: openmotif-devel

* Tue Jun 13 2000 Than Ngo <than@redhat.de>
- rebuilt with openmotif-2.1.30 for 7.0
- clean up specfile
- remove wmconfig/xmmix, add xmmix.desktop

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr 09 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 14 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2

* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entry

* Wed Nov 19 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- built against lesstif
